commit:     5f2232110a087c77505b1e19f162c60fe6e33501
Author:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
AuthorDate: Wed Jul 19 08:13:55 2017 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Wed Jul 19 08:55:54 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5f223211

media-libs/raspberrypi-userland: tidy up ebuild and add missing dies.

Package-Manager: Portage-2.3.6, Repoman-2.3.1

 .../raspberrypi-userland-0_pre20160424.ebuild      | 26 +++++++++++++---------
 1 file changed, 15 insertions(+), 11 deletions(-)

diff --git 
a/media-libs/raspberrypi-userland/raspberrypi-userland-0_pre20160424.ebuild 
b/media-libs/raspberrypi-userland/raspberrypi-userland-0_pre20160424.ebuild
index 44af1834f38..fb3240d5919 100644
--- a/media-libs/raspberrypi-userland/raspberrypi-userland-0_pre20160424.ebuild
+++ b/media-libs/raspberrypi-userland/raspberrypi-userland-0_pre20160424.ebuild
@@ -19,9 +19,12 @@ else
        S="${WORKDIR}/raspberrypi-userland-${GIT_COMMIT}"
 fi
 
-RDEPEND="!media-libs/raspberrypi-userland-bin
+RDEPEND="
+       !media-libs/raspberrypi-userland-bin
        wayland? ( dev-libs/wayland )"
-DEPEND="${RDEPEND}
+
+DEPEND="
+       ${RDEPEND}
        wayland? ( virtual/pkgconfig )"
 
 IUSE="examples wayland"
@@ -66,7 +69,7 @@ src_install() {
        dosym ../../../opt/vc /usr/lib/opengl/${PN}
 
        # tell eselect opengl that we do not have libGL
-       touch "${ED}"/opt/vc/.gles-only
+       touch "${ED}"/opt/vc/.gles-only || die
 
        insinto /opt/vc/lib/pkgconfig
        doins "${FILESDIR}"/bcm_host.pc
@@ -74,7 +77,7 @@ src_install() {
        doins "${FILESDIR}"/glesv2.pc
        if use wayland; then
        # Missing wayland-egl version from the patch; claim 9.0 (a mesa 
version) for now, so gst-plugins-bad wayland-egl check is happy
-               sed -i -e 's/Version:  /Version: 9.0/' 
"${ED}"/opt/vc/lib/pkgconfig/wayland-egl.pc
+               sed -i -e 's/Version:  /Version: 9.0/' 
"${ED}/opt/vc/lib/pkgconfig/wayland-egl.pc" || die
                doins "${ED}"/opt/vc/lib/pkgconfig/wayland-egl.pc # Maybe move?
        fi
 
@@ -82,24 +85,25 @@ src_install() {
        einfo "Fixing #include \"vcos_platform_types.h\""
        for file in $(grep -l "#include \"vcos_platform_types.h\"" 
"${D}"/opt/vc/include/* -r); do
                einfo "  Fixing file ${file}"
-               sed -i "s%#include \"vcos_platform_types.h\"%#include 
\"interface/vcos/pthreads/vcos_platform_types.h\"%g" ${file}
+               sed -i "s%#include \"vcos_platform_types.h\"%#include 
\"interface/vcos/pthreads/vcos_platform_types.h\"%g" ${file} || die
        done
+
        einfo "Fixing #include \"vcos_platform.h\""
        for file in $(grep -l "#include \"vcos_platform.h\"" 
"${D}"/opt/vc/include/* -r); do
                einfo "  Fixing file ${file}"
-       sed -i "s%#include \"vcos_platform.h\"%#include 
\"interface/vcos/pthreads/vcos_platform.h\"%g" ${file}
+               sed -i "s%#include \"vcos_platform.h\"%#include 
\"interface/vcos/pthreads/vcos_platform.h\"%g" ${file} || die
        done
+
        einfo "Fixing #include \"vchost_config.h\""
        for file in $(grep -l "#include \"vchost_config.h\"" 
"${D}"/opt/vc/include/* -r); do
                einfo "  Fixing file ${file}"
-               sed -i "s%#include \"vchost_config.h\"%#include 
\"interface/vmcs_host/linux/vchost_config.h\"%g" ${file}
+               sed -i "s%#include \"vchost_config.h\"%#include 
\"interface/vmcs_host/linux/vchost_config.h\"%g" ${file} || die
        done
 
-       if use examples ; then
+       if use examples; then
                dodir /usr/share/doc/${PF}/examples
                mv "${D}"/opt/vc/src/hello_pi 
"${D}"/usr/share/doc/${PF}/examples/ || die
-               rm -fr "${D}"/opt/vc/src
-       else
-               rm -fr "${D}/opt/vc/src"
        fi
+
+       rm -rfv "${D}"/opt/vc/src || die
 }

Reply via email to